<%@ Page Language="C#" AutoEventWireup="true" CodeFile="AccordionDataBinding.aspx.cs" Inherits="AccordionDataBinding" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <style type="text/css">
		body { font-family : Verdana; font-size : 10pt; }
		.container { width : 300px; }
		.header
		{
			height : 28px; line-height : 28px; color : white;
			background-color: #2e4d7b; border-bottom: solid 1px white; 
			width:100%;}
		.header span { float : left; margin-left : 10px;}
		.header a { color:white; float:right; margin-right : 10px; }
    </style>
    <script type="text/javascript" language="javascript">
		function cancelToggle(e)
		{
			if (e.stopPropagation)
			{
				// FireFox
				e.stopPropagation();
			}
			else
			{
				// IE
				e.cancelBubble = true;
			}
		}
		
		function toggle(ele)
		{
			var header = ele.parentNode.parentNode.parentNode;
			if (header.click)
			{
				// IE
				header.click();
			}
			else
			{
				// FireFox
				var e = document.createEvent("MouseEvents");
				e.initEvent("click", true, true);
				header.dispatchEvent(e);
			}
		}
    </script>
</head>
<body>
    <form id="form1" runat="server">
		<asp:ScriptManager runat="server" ID="ScriptManager1">
		</asp:ScriptManager>
		
		<div class="container">
			<ajaxToolkit:Accordion ID="MyAccordion" runat="server" SelectedIndex="0"
				FadeTransitions="false" FramesPerSecond="40"
				TransitionDuration="250" AutoSize="None">
				<HeaderTemplate>
					<div class="header" onclick="cancelToggle(event)">
						<span><%# this.GetColumnValue(Container.DataItem, "Title")%></span>
						<a href="javascript:;" onclick="toggle(this);">toggle</a>
					</div>
				</HeaderTemplate>
				<ContentTemplate>
					<%# this.GetColumnValue(Container.DataItem, "Description") %>
				</ContentTemplate>
			</ajaxToolkit:Accordion>
        </div>
    </form>
</body>
</html>
